Subject: Re: bug#46979: Allow setting Man-default-entry via Local Variables

From: Daniel Martín <[email-masked]>
Date: Mon, 08 Mar 2021 16:48:52 +0100

Eli Zaretskii <[email-masked]> writes:

>
> Our solution to this is "C-h S".  Did you try it?  You can extend its
> database if the default lacks something you need.

C-h S only searches Info pages.  I think this feature request is more
about improving the default that M-x man offers, to consider more things
than just the text around point.

I can see its usefulness, as a lot of Unix tools provide special man
pages for its configuration files.  Another potential use case is a user
visiting a .gitconfig file, where M-x man could suggest "git-config(1)"
by default.  Similarly for .gitattributes and "gitattributes(5)".

As it's almost impossible to have all that knowledge in Emacs core, I
see it as a new extensibilty point for users.  What are the downsides
you see in the local variable approach?